# -*- coding: utf-8 -*-

from django.core.urlresolvers import reverse
from django.utils.translation import ugettext as _
from admin_tools.menu import items, Menu
from jmb.core.admin.menu import register_menu
# from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user

l10n_menu_item = items.MenuItem(
    # GENERAL
    _('l10n'),
    reverse('admin:app_list', kwargs={'app_label': 'l10n'}),
    children=[
        items.MenuItem(_('add country'), reverse('admin:l10n_country_add', )),
        items.MenuItem(_('country list'), reverse('admin:l10n_country_changelist', )),
    ]
)

register_menu(l10n_menu_item, 'thux.l10n')
