# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AdministrativeArea',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('name', models.CharField(max_length=60, verbose_name='admin area name', db_index=True)),
                ('abbrev', models.CharField(max_length=3, verbose_name='postal abbreviation', blank=True)),
                ('active', models.BooleanField(default=True, verbose_name='area is active')),
            ],
            options={
                'ordering': ('name',),
                'verbose_name': 'administrative area',
                'verbose_name_plural': 'administrative areas',
            },
        ),
        migrations.CreateModel(
            name='Country',
            fields=[
                ('iso2_code', models.CharField(max_length=2, serialize=False, verbose_name='ISO alpha-2', primary_key=True)),
                ('name', models.CharField(max_length=128, verbose_name='official name (CAPS)', db_index=True)),
                ('printable_name', models.CharField(max_length=128, verbose_name='country name', db_index=True)),
                ('iso3_code', models.CharField(unique=True, max_length=3, verbose_name='ISO alpha-3')),
                ('numcode', models.PositiveSmallIntegerField(null=True, verbose_name='ISO numeric', blank=True)),
                ('active', models.BooleanField(default=True, verbose_name='country is active')),
                ('continent', models.CharField(max_length=2, verbose_name='continent', choices=[(b'AF', 'Africa'), (b'NA', 'North America'), (b'EU', 'Europe'), (b'AS', 'Asia'), (b'OC', 'Oceania'), (b'SA', 'South America'), (b'AN', 'Antarctica')])),
                ('admin_area', models.CharField(blank=True, max_length=2, verbose_name='administrative area', db_index=True, choices=[(b'a', 'Another'), (b'i', 'Island'), (b'ar', 'Arrondissement'), (b'at', 'Atoll'), (b'ai', 'Autonomous island'), (b'ca', 'Canton'), (b'cm', 'Commune'), (b'co', 'County'), (b'dp', 'Department'), (b'de', 'Dependency'), (b'dt', 'District'), (b'dv', 'Division'), (b'em', 'Emirate'), (b'gv', 'Governorate'), (b'ic', 'Island council'), (b'ig', 'Island group'), (b'ir', 'Island region'), (b'kd', 'Kingdom'), (b'mu', 'Municipality'), (b'pa', 'Parish'), (b'pf', 'Prefecture'), (b'pr', 'Province'), (b'rg', 'Region'), (b'rp', 'Republic'), (b'sh', 'Sheading'), (b'st', 'State'), (b'sd', 'Subdivision'), (b'sj', 'Subject'), (b'ty', 'Territory')])),
            ],
            options={
                'ordering': ('name',),
                'verbose_name': 'country',
                'verbose_name_plural': 'countries',
            },
        ),
        migrations.AddField(
            model_name='administrativearea',
            name='country',
            field=models.ForeignKey(related_name='administrative_areas', verbose_name='country', to='l10n.Country'),
        ),
    ]
